/*
Theme Name: Divi Community Child Theme
Description: Theme enfant de Divi par Divi Community
Author: Julien - WebMate
Author URI: https://www.divi-community.fr
Template: Divi
Version: 1.1
*/

/*
  ____ _____     _____      ____ ___  __  __ __  __ _   _ _   _ ___ _______   __
 |  _ \_ _\ \   / /_ _|    / ___/ _ \|  \/  |  \/  | | | | \ | |_ _|_   _\ \ / /
 | | | | | \ \ / / | |    | |  | | | | |\/| | |\/| | | | |  \| || |  | |  \ V /
 | |_| | |  \ V /  | |    | |__| |_| | |  | | |  | | |_| | |\  || |  | |   | |
 |____/___|  \_/  |___|    \____\___/|_|  |_|_|  |_|\___/|_| \_|___| |_|   |_|

*/


/* 
** CENTRER DU CONTENU VERTICALEMENT 
** Voir tuto : https://www.divi-community.fr/snippets-divi/centrer-du-contenu-verticalement
*/

.dc-centrer-verticalement {
	display: flex;
	flex-direction: column;
	justify-content: center;
  	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-webkit-flex-direction: column;
	 -moz-box-orient: vertical;
	 -moz-box-direction: normal;
	  -ms-flex-direction: column;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	-moz-box-pack: center;
	-ms-flex-pack: center;
}
.dc-base-verticalement {
	display: flex;
	flex-direction: column;
	justify-content: end;
  	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-webkit-flex-direction: column;
	 -moz-box-orient: vertical;
	 -moz-box-direction: normal;
	  -ms-flex-direction: column;
	-webkit-box-pack: center;
	-webkit-justify-content: end;
	-moz-box-pack: end;
	-ms-flex-pack: end;
}


/*
** INVERSER LE SENS DES COLONNES SUR MOBILE
** Voir tuto : https://www.divi-community.fr/snippets-divi/inverser-ordre-des-colonnes-sur-mobile
*/

@media only screen and (max-width : 980px) {
	.dc-inverser-colonnes--section .dc-inverser-colonnes--ligne {
		display: -webkit-flex;
		display: -ms-flex;
		display: flex;
		-webkit-flex-direction: column-reverse;
		-ms-flex-direction: column-reverse;
		flex-direction: column-reverse;
	}
}


/*
** MENU MOBILE : en pleine largeur et le hamburger devient une croix pour fermer
*/

.et_mobile_menu {
	margin-left: -30px;
	padding: 5%;
	width: calc( 100% + 60px);
}

.mobile_nav.opened .mobile_menu_bar:before {
	content: "\4d";
}


/* 
** AUGMENTER LA LARGEUR CHAMP RÉSULTAT CAPTCHA 
** Parfois, suivant la taille du texte, certains chiffres du résultat sont masqués
*/
.et_pb_contact_right p input {
	max-width: 50px;
}


/*
** METTRE EXPOSANTS ET INDICES À LA BONNE TAILLE
** Généralement, ils sont bien trop gros…
*/
sup, sub {
    font-size: 70%;
}
/*Boutons header*/
.btn-andromede, .btn-heleos {
	position: relative;
	border: 2px solid;
	border-radius: 0 30px 30px 0;
	margin-left: 66px;
	height: 55px;
}
.btn-andromede::before, .btn-heleos:before {
	display: block;
	content:'';
	position: absolute;
	width: 53px;
	height: 53px;
	left: -34px;
    opacity: 1;
    bottom: 0;
}
.btn-andromede::before {background:url('/wp-content/uploads/2023/10/andromede-bleu.svg') no-repeat center;}
.btn-heleos::before {background:url('/wp-content/uploads/2023/10/helios-vert.svg') no-repeat center;}
.btn-andromede::before, .btn-heleos:before {background-size: contain;}
form.contact input,
form.contact textarea {
	border-color: #014593;
	border-radius: 20px;
	border-top-left-radius:0px;
	padding: 12px !important;
}
form.contact input::placeholder,
form.contact textarea::placeholder {
	color: #014593;
	line-height: 1.8em;
	padding-left: 10px;
}
form.contact input.gform_button.button {
	border-radius: 20px;
	background-color: #014593;
	color: #ffffff;
	 width: 100%;
     padding: 7px !important;
    font-size: 18px;
    font-weight: 600;
}
.ginput_container_consent label {
	font-size: 13px;
	font-weight: normal;
	line-height: 1em;
}

/*Animation bordure chiffres*/
.col-chiffre .nombre {font-size: clamp(20px, 2.7vw, 40px);}
.col-chiffre::before {
	content: '';
	position: absolute;
	bottom:0;
	left: 0;
	height: 6px;
	background: #ffffff;
	display: block;
	width: 0%;
	transition: width 1s ease-in;
}
.col-chiffre:hover::before{
	width: 100%;	  
}

/*Menu*/
#top-menu li a {
	font-weight: 400 !important;
}
#top-menu li {
	padding-right: 30px;
}
#top-menu li:nth-child(3) {
	padding-right: 54px;
}
.btn-contact {
	position: relative;
}
.btn-contact::before {
    position: absolute;
    content: '';
    height: 44px;
    width: calc(100% + 50px);
    background-color: #014593;
    border-radius: 50px;
    bottom: 36px;
    left: -25px;
}
#top-menu li.btn-contact a {
	color: #ffffff !important;
	font-weight: 600 !important;
}
.et_header_style_left .et-fixed-header #et-top-navigation nav>ul>li.btn-contact::before {
	height: 30px;
    bottom: 12px;
}
.mobile_nav.opened .btn-contact::before {
	display:none;
}
.mobile_menu_bar:before, .mobile_menu_bar:after, #top-menu li.current-menu-ancestor>a, #top-menu li.current-menu-item>a {
	color:#014593;
}
.mobile_menu_bar:before, .mobile_menu_bar:after, #top-menu li.current-menu-ancestor>a, #top-menu li.current-menu-item>a {
    color: #014593;
}
.mobile_menu_bar:before {font-size: 40px;}
.et_mobile_menu  {border-top: 3px solid #014593;}
.et_mobile_menu .btn-contact {
	background-color: #014593;
	border-radius: 30px;
}
.et_mobile_menu .btn-contact a {color: #ffffff;}
/*Recaptcha 3*/
.grecaptcha-badge {z-index:3;}